<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
if ( !isset($_SESSION['mu_username']) ) {
	echo "<div align=center><font color=red><b>Hãy Login trước khi thực hiện chức năng này</b></font></div>";
	//include('modules/home.php');
} else {
	if (strlen($_SESSION['mu_nvchon']) > 0) {
		if ($_SESSION['nv_online'] == 1) $online = "<font color='red'><b>Chưa Thoát</b></font><br>(Sau khi Thoát Game hãy chọn lại Nhân vật)"; else $online = "<font color='green'>Đã Thoát</font>";
		if ($_SESSION['nv_doinv'] == 1) $doinv = "<font color='green'>Đã đổi</font>"; else $doinv = "<font color='red'><b>Chưa đổi</b></font><br>(Sau khi đổi nhân vật khác trong Game, hãy chọn lại nhân vật trên Web)";
		if(isset($_GET['act'])) $act = $_GET['act'];
        else $act = null;
		switch ($act)
		{
			
			case 'item_uplv': 
			    if ($Use_UpLVItem != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";	}
            else { include('modules/char_manager/item_uplv.php'); }
            break;
            
            case 'buats':
                if (isset($Use_BuaTS) && $Use_BuaTS == 1) {
					include('modules/char_manager/buats.php'); 
				}
				else echo "<center>Chức năng không có hoặc không được sử dụng</center>";
                break;
				
            case 'buass2':
                if (isset($Use_BuaSS2) && $Use_BuaSS2 == 1) {
					include('modules/char_manager/buass2.php'); 
				}
				else echo "<center>Chức năng không có hoặc không được sử dụng</center>";
                break;
                
            case 'lock_item': 
            	if ($Use_LockItem != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";	}
            else { include('modules/char_manager/lock_item.php'); }
            break;
            
			case 'reset': 
				if ($Use_Reset != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/reset.php'); }
				break;
			case 'resetvip': 
				if ($Use_ResetVIP != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/resetvip.php'); }
				break;
				
			case 'resetvip2': 
				if ($Use_ResetVIP2 != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/resetvip2.php'); }
				break;
				
			case 'relife': 
				if ($Use_Relife != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/relife.php'); }
				break;
			
			case 'resetover': 
				if ( $Use_ResetOver == 1 ) {
					include('modules/char_manager/resetover.php'); 
				} else {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				break;
				
			case 'resetvipover': 
				if ($Use_ResetVIP == 1 && $Use_ResetOver == 1) {
					include('modules/char_manager/resetvipover.php');
				}
				else { echo "<center>Chức năng không có hoặc không được sử dụng</center>"; }
				break;
				
			case 'uythacoffline': 
				if ($Use_UyThacOffline != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/uythacoffline.php'); }
				break;
			case 'uythaconline': 
				if ($Use_UyThacOnline != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/uythaconline.php'); }
				break;
			case 'uythac_reset': 
				if ($Use_UyThacOnline == 1 || $Use_UyThacOffline == 1) {
					include('modules/char_manager/uythac_reset.php');
				}
				else { echo "<center>Chức năng không có hoặc không được sử dụng</center>"; }
				break;
			case 'uythac_resetvip': 
				if ( ($Use_UyThacOnline == 1 || $Use_UyThacOffline == 1) && $Use_ResetVIP == 1) {
					include('modules/char_manager/uythac_resetvip.php');
				}
				else { echo "<center>Chức năng không có hoặc không được sử dụng</center>"; }
				break;
			case 'pk': include('modules/char_manager/pk.php'); break;
			case 'doigioitinh': 
				if ($Use_DoiGioiTinh != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/doigioitinh.php'); }
				break;
			case 'move': include('modules/char_manager/move.php'); break;
			case 'addpoint':
				if ($Use_AddPoint != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else {include('modules/char_manager/addpoint.php');}
				break;
			case 'combo': include('modules/char_manager/combo.php'); break;
			case 'resetpoint': include('modules/char_manager/resetpoint.php'); break;
			case 'taytuy': include('modules/char_manager/taytuy.php'); break;
			case 'rutpoint': include('modules/char_manager/rutpoint.php'); break;
			case 'thuepoint': 
				if ($Use_ThuePoint != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/thuepoint.php'); }
				break;
			case 'khoaitem': 
				if ($Use_KhoaItem != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/khoaitem.php'); }
				break;
			case 'rsmaster': 
				if ($Use_RSMaster != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/rsmaster.php'); }
				break;
            case 'changename': 
            	if ($Use_ChangeName != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/changename.php'); }
            	break;
            case 'char2accother': 
            	if ($Use_Char2AccOther != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/char2accother.php'); }
            	break;
            case 'emptychar': 
                if ($Use_XoaDoNV != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/emptychar.php'); }
				break;
			case 'reset_quest': 
			    if ($Use_ResetQuest != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/reset_quest.php'); }
				break;
			case 'do_quest2': 
				if ($Use_Quest2VWeb != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/do_quest2.php'); }
				break;
			case 'do_quest3': 
				if ($Use_Quest3VWeb != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/do_quest3.php'); }
				break;
				
			case 'trainpcpoint': 
				if ($Use_TrainPC != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/trainpcpoint.php'); }
				break;
				
			case 'muamaster': 
				if ($Use_BuyMaster != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/muamaster.php'); }
				break;		
			case 'item_socketempty': 
				if ($Use_DucSocket != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/item_socketempty.php'); }
				break;						
			case 'item_socketadd':
				if ($Use_KhamSocket != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/item_socketadd.php'); }
				break;
				
			case 'extraexp': 
				if ($Use_ExtraEXP != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/extraexp.php'); }
				break;
				
			case 'upresetday': 
				if ($Use_UpResetDay != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/upresetday.php'); }
				break;

			case 'danhhieu': 
				if ($Use_DanhHieu != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/danhhieu.php'); }
				break;
				
			case 'master2point': 
				if ($Use_Master2Point != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/master2point.php'); }
				break;
				
			case 'relife2kimcuong': 
				if ($Use_Relife2KimCuong != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/relife2kimcuong.php'); }
				break;
				
			case 'creatchar': 
				if ($Use_CreatChar != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/creatchar.php'); }
				break;
				
			case 'items2points': 
				if ($Use_Items2Points != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/items2points.php'); }
				break;
				
			case 'ut2wcoin': 
			    if ($Use_UT2WCoin != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";	}
			else { include('modules/char_manager/ut2wcoin.php'); }
            break;
			
			case 'master2goblinpoint': 
				if ($Use_Master2GoblinPoint != 1) {
					echo "<center>Chức năng không có hoặc không được sử dụng</center>";
				}
				else { include('modules/char_manager/master2goblinpoint.php'); }
				break;
				
			default: $page_template = 'templates/char_manager.aspx';
		}
	}
	else $page_template = 'templates/chonnv.aspx';
}
?>